/*
*******************************************************************************
*  Copyright (c) 1996 Martin Poole                            *
*******************************************************************************
**
** WARNING !!  WARNING !! WARNING !! WARNING !! WARNING !! WARNING !!
**
** Any changes to be made to this file should first be checked with
** mplib1 source control for library integrity.
**
** mplib1 source control can be reached at  mplib1@quatermass.co.uk
** 
*
*  $Source: /home/cvs/cvsroot/onelan/onelan/src/mplib1/libsrc/bpo_lock_flg.c,v $
*  $Author: mpoole $
*  $Date: 2002/10/07 09:37:37 $
*  $Revision: 1.2 $
*
*******************************************************************************
*
* Change History
*
* $Log: bpo_lock_flg.c,v $
* Revision 1.2  2002/10/07 09:37:37  mpoole
* Initial checkin of mplib1-3.1.0
*
* Revision 1.1  2002/10/07 09:36:54  mpoole
* Initial checkin of mplib1-3.1.0
*
*
*******************************************************************************
*/

#ident "$Header: /home/cvs/cvsroot/onelan/onelan/src/mplib1/libsrc/bpo_lock_flg.c,v 1.2 2002/10/07 09:37:37 mpoole Exp $"

/* ------------------------------------------------------------------
    Include files
   ------------------------------------------------------------------ */

#include <stdio.h>
#include <sys/time.h>
#include <unistd.h>
#include <string.h>
#include <signal.h>

#include <mplib1/mplib1_config.h>

#include <mplib1/fprintfile.h>
#include <mplib1/bpo_lock.h>
#include <mplib1/cfg_file.h>

/* ------------------------------------------------------------------
    defines
   ------------------------------------------------------------------ */

/* ------------------------------------------------------------------
    Code starts here
   ------------------------------------------------------------------ */

int
bpo_pid_set_flags( struct bpo_pid_lock *bplp, int set_bits )
{
    int rv;
    bpo_pid_Lock( bplp );
    rv = bplp->flags;
    bplp->flags |= set_bits;
    bpo_pid_Unlock( bplp );
    return(rv);
}

int
bpo_pid_clr_flags( struct bpo_pid_lock *bplp, int clr_bits )
{
    int rv;
    bpo_pid_Lock( bplp );
    rv = bplp->flags;
    bplp->flags &= ~clr_bits;
    bpo_pid_Unlock( bplp );
    return(rv);
}

int
bpo_pid_get_flags( struct bpo_pid_lock *bplp )
{
    int rv;
    bpo_pid_Lock( bplp );
    rv = bplp->flags;
    bpo_pid_Unlock( bplp );
    return(rv);
}

/* -- End of File -- */
