/*
*******************************************************************************
*  Copyright (c) 1996 Martin Poole                            *
*******************************************************************************
**
** WARNING !!  WARNING !! WARNING !! WARNING !! WARNING !! WARNING !!
**
** Any changes to be made to this file should first be checked with
** mplib1 source control for library integrity.
**
** mplib1 source control can be reached at  mplib1@quatermass.co.uk
** 
*
*  $Source: /home/cvs/cvsroot/onelan/onelan/src/mplib1/libsrc/cfg_f_007.c,v $
*  $Author: mpoole $
*  $Date: 2002/10/07 09:37:37 $
*  $Revision: 1.2 $
*
*******************************************************************************
*
* Change History
*
* $Log: cfg_f_007.c,v $
* Revision 1.2  2002/10/07 09:37:37  mpoole
* Initial checkin of mplib1-3.1.0
*
* Revision 1.1  2002/10/07 09:36:54  mpoole
* Initial checkin of mplib1-3.1.0
*
*
*******************************************************************************
*/

#ident "$Header: /home/cvs/cvsroot/onelan/onelan/src/mplib1/libsrc/cfg_f_007.c,v 1.2 2002/10/07 09:37:37 mpoole Exp $"

/* ------------------------------------------------------------------
    Include files
   ------------------------------------------------------------------ */

#include <stdio.h>
#include <stdlib.h>

#include <mplib1/mplib1_config.h>
#include <mplib1/dl_list.h>
#include <mplib1/cfg_file.h>

#include "include/cfg_file_internal.h"

/* ------------------------------------------------------------------
    defines
   ------------------------------------------------------------------ */

static void *t_param;

/* ------------------------------------------------------------------
    Code starts here
   ------------------------------------------------------------------ */

static void
display_list_item( struct config_item *cip,
		    config_disp_t disp_func )
{
    (* disp_func)( cip->ci_name, cip->ci_val, cip->eval_str, t_param );
    return;
}

int
report_private_contents( const char *list_name,
			config_disp_t disp_func,
			void *param )
{
    struct config_list *clp;
    int rv=0;
    clp = get_config_list( list_name, 0 );
    if (clp)
    {
	rv=1;
	t_param = param;
	dl_Walk_List( &clp->cl_Items,
		(dl_Walk_List_t)display_list_item,
		(void *)disp_func );
    }
    return(rv);
}

/* -- End of File -- */
