/*
*******************************************************************************
*  Copyright (c) 1996 Martin Poole                            *
*******************************************************************************
**
** WARNING !!  WARNING !! WARNING !! WARNING !! WARNING !! WARNING !!
**
** Any changes to be made to this file should first be checked with
** mplib1 source control for library integrity.
**
** mplib1 source control can be reached at  mplib1@quatermass.co.uk
** 
*                                                                             *
*  $Source: /home/cvs/cvsroot/onelan/onelan/src/mplib1/libsrc/time_3.c,v $
*  $Author: mpoole $
*  $Date: 2002/10/07 09:37:40 $
*  $Revision: 1.2 $
*                                                                             *
*******************************************************************************
*                                                                             *
* $Log: time_3.c,v $
* Revision 1.2  2002/10/07 09:37:40  mpoole
* Initial checkin of mplib1-3.1.0
*
* Revision 1.1  2002/10/07 09:36:57  mpoole
* Initial checkin of mplib1-3.1.0
*
*
*******************************************************************************
*/

/* ------------------------------------------------------------------
    Include files
   ------------------------------------------------------------------ */

#include <stdio.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/time.h>
#include <pwd.h>
#include <time.h>
#include <string.h>
#include <stdarg.h>
#include <memory.h>
#include <malloc.h>

#include <mplib1/mplib1_config.h>
#include <mplib1/timestamp.h>

/* ------------------------------------------------------------------
    defines
   ------------------------------------------------------------------ */

/* ------------------------------------------------------------------
    Code starts here
   ------------------------------------------------------------------ */

char *
make_timestamp_str( char *buf )
{
    static char log_str[TIMESTAMP_STR_SZ];
    struct timeval tval;
    get_current_timeval( &tval );
    if (buf==NULL)
	buf = log_str;
    (void)build_timestamp_str( &tval, buf );
    return(buf);
}

/* -- End of File -- */
