/*
*******************************************************************************
*  Copyright (c) 1997 Martin Poole                            *
*******************************************************************************
**
** WARNING !!  WARNING !! WARNING !! WARNING !! WARNING !! WARNING !!
**
** Any changes to be made to this file should first be checked with
** mplib1 source control for library integrity.
**
** mplib1 source control can be reached at  mplib1@quatermass.co.uk
** 
*
*  $Source: /home/cvs/cvsroot/onelan/onelan/src/mplib1/test/pad_test.c,v $
*  $Author: mpoole $
*  $Date: 2002/10/07 09:37:28 $
*  $Revision: 1.2 $
*
*******************************************************************************
*
* Change History
*
* $Log: pad_test.c,v $
* Revision 1.2  2002/10/07 09:37:28  mpoole
* Initial checkin of mplib1-3.1.0
*
* Revision 1.1  2002/10/07 09:37:07  mpoole
* Initial checkin of mplib1-3.1.0
*
*
*******************************************************************************
*/

#ident "$Header: /home/cvs/cvsroot/onelan/onelan/src/mplib1/test/pad_test.c,v 1.2 2002/10/07 09:37:28 mpoole Exp $"

/* ------------------------------------------------------------------
    Include files
   ------------------------------------------------------------------ */

#include <stdio.h>
#include <time.h>
#include <sys/types.h>
#include <sys/time.h>
#include <sys/stat.h>

#include <mplib1/dl_list.h>
#include <mplib1/dl_lru.h>

#include "include/dl_lru_private.h"

#include <mplib1/data_align.h>


/* ------------------------------------------------------------------
    defines
   ------------------------------------------------------------------ */

/* ------------------------------------------------------------------
    Start of Code
   ------------------------------------------------------------------ */

int
main( int argc, char *argv [] )
{
    printf( "sizeof(struct Cache_Item): %x\n", sizeof(struct Cache_Item) );
    printf( "(MPLIB_STRUCT_PAD-1): %x\n", (MPLIB_STRUCT_PAD-1) );

    printf( "~(MPLIB_STRUCT_PAD-1): %x\n", ~(MPLIB_STRUCT_PAD-1) );
    printf( "((n)+(MPLIB_STRUCT_PAD-1)): %x\n",
	    ((sizeof(struct Cache_Item))+(MPLIB_STRUCT_PAD-1)) );

    printf( "CACHE_ITEM_SIZE: %d\n", CACHE_ITEM_SIZE );
    return(0);
}

/* -- End of File -- */
