/******************************************************************************
*  Copyright (c) 1996 Martin Poole                            *
*******************************************************************************
*
*  System         :
*  Subsystem      :
*  Module         :
*  $Source: /home/cvs/cvsroot/onelan/onelan/src/mplib1/demo/vre_demo.c,v $
*  $Author: mpoole $
*  $Date: 2002/10/07 09:37:26 $
*  $Revision: 1.2 $
*
*******************************************************************************
*
* Change History
*
* $Log: vre_demo.c,v $
* Revision 1.2  2002/10/07 09:37:26  mpoole
* Initial checkin of mplib1-3.1.0
*
* Revision 1.1  2002/10/07 09:36:44  mpoole
* Initial checkin of mplib1-3.1.0
*
*
******************************************************************************/

#ident "$Header: /home/cvs/cvsroot/onelan/onelan/src/mplib1/demo/vre_demo.c,v 1.2 2002/10/07 09:37:26 mpoole Exp $"

/* ------------------------------------------------------------------
    Include files
   ------------------------------------------------------------------ */

#include <stdio.h>
#include <string.h>
#include <sys/types.h>

#include <mplib1/dl_list.h>
#include <mplib1/vre.h>
#include <mplib1/fgetline.h>

/* ------------------------------------------------------------------
    defines
   ------------------------------------------------------------------ */

static char inform[]="Try the following commands.\n\nread vre_demo.dat\
\nshow list %p\n@list.ln_Head.ln_Succ\nshow vre_type_obj\n\n";

/* ------------------------------------------------------------------
    Code starts here
   ------------------------------------------------------------------ */

static int
i_loop( void )
{
    char lbuf[255];
    struct vre_type_obj *top;

    vre_Init_Disp_Primitives( stderr );
    top = vre_Find_Type( "long" );

    printf( inform, top->to_Node.ln_List );

    while ( fgetline( stdin, lbuf, 255 )==0 )
    {
	if (strcmp( lbuf, "quit" )==0)
	    break;
	if (strlen(lbuf))
	    vre_Interactive_Loop( lbuf, stdout, 0 );
    }
    return(1);
}

int
main (int argc, char *argv[] )
{
    int rv=0;
    i_loop();
    return(rv);
}

/* -- End of File -- */
