#ifndef MPLIB1_CFG_FILE_INTERNAL
#define MPLIB1_CFG_FILE_INTERNAL
/*
*******************************************************************************
*  Copyright (c) 1996 Martin Poole                            *
*******************************************************************************
**
** WARNING !!  WARNING !! WARNING !! WARNING !! WARNING !! WARNING !!
**
** Any changes to be made to this file should first be checked with
** mplib1 source control for library integrity.
**
** mplib1 source control can be reached at  mplib1@quatermass.co.uk
** 
*
*  $Source: /home/cvs/cvsroot/onelan/onelan/src/mplib1/include/cfg_file_internal.h,v $
*  $Author: mpoole $
*  $Date: 2002/10/07 09:37:49 $
*  $Revision: 1.2 $
*
*******************************************************************************
*
* Change History
*
* $Log: cfg_file_internal.h,v $
* Revision 1.2  2002/10/07 09:37:49  mpoole
* Initial checkin of mplib1-3.1.0
*
* Revision 1.1  2002/10/07 09:36:50  mpoole
* Initial checkin of mplib1-3.1.0
*
*
*******************************************************************************
*/

#ident "$Header: /home/cvs/cvsroot/onelan/onelan/src/mplib1/include/cfg_file_internal.h,v 1.2 2002/10/07 09:37:49 mpoole Exp $"

#ifdef CXREF
#include <sys/types.h>
#include <mplib1/dl_list.h>
#endif

/* ------------------------------------------------------------------
    Include files
   ------------------------------------------------------------------ */

/* ------------------------------------------------------------------
    defines
   ------------------------------------------------------------------ */

#define MAX_CONFIG_STR		200
#define MAX_CONFIG_FLAGS	100

/* ------------------------------------------------------------------
    structure
   ------------------------------------------------------------------ */

struct config_list
{
dl_Node_t	cl_Node;
dl_List_t	cl_Items;
int		cl_flags;
char		cl_name[1];
};

struct config_item
{
dl_Node_t	ci_Node;
char		*ci_name;
char		*eval_str;
char		ci_val[1];
};

/* ------------------------------------------------------------------
    function definitions
   ------------------------------------------------------------------ */

extern struct config_list *
get_config_list( const char *list_name, int create );

extern dl_List_t *
get_config_list_list( void );

extern struct config_item *
get_private_config( const char *list_name, const char *key );

#endif
/* -- End of File -- */
