/*
*******************************************************************************
*  Copyright (c) 1996 Martin Poole                            *
*******************************************************************************
**
** WARNING !!  WARNING !! WARNING !! WARNING !! WARNING !! WARNING !!
**
** Any changes to be made to this file should first be checked with
** mplib1 source control for library integrity.
**
** mplib1 source control can be reached at  mplib1@quatermass.co.uk
** 
*
*  $Source: /home/cvs/cvsroot/onelan/onelan/src/mplib1/libsrc/cfg_f_021.c,v $
*  $Author: mpoole $
*  $Date: 2002/10/07 09:37:38 $
*  $Revision: 1.2 $
*
*******************************************************************************
*
* Change History
*
* $Log: cfg_f_021.c,v $
* Revision 1.2  2002/10/07 09:37:38  mpoole
* Initial checkin of mplib1-3.1.0
*
* Revision 1.1  2002/10/07 09:36:55  mpoole
* Initial checkin of mplib1-3.1.0
*
*
*******************************************************************************
*/

#ident "$Header: /home/cvs/cvsroot/onelan/onelan/src/mplib1/libsrc/cfg_f_021.c,v 1.2 2002/10/07 09:37:38 mpoole Exp $"

/* ------------------------------------------------------------------
    Include files
   ------------------------------------------------------------------ */

#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <string.h>

#include <mplib1/mplib1_config.h>
#include <mplib1/dl_list.h>
#include <mplib1/cfg_file.h>
#include <include/cfg_file_internal.h>

/* ------------------------------------------------------------------
    defines
   ------------------------------------------------------------------ */

/* ------------------------------------------------------------------
    Code starts here
   ------------------------------------------------------------------ */

char *
eval_private_default( const char *list_name,
		      const char *config_name,
		      const char *def_name )
{
    char *cp;
    struct config_item *cip;

    if ( (cip = get_private_config( list_name, config_name )) )
    {
	if (cip->eval_str)
	    cp = cip->eval_str;
	else
	{
	    cp = eval_private_str( list_name, cip->ci_val );
	    if (BITTST(get_list_flags(list_name), CONFIG_NO_EVAL)==0)
	    {
		cip->eval_str = strdup(cp);
		if (cip->eval_str)
		    cp = cip->eval_str;
	    }
	}
    }else if ( def_name )
    {
	cp = eval_private_str( list_name, def_name );
    }else
	cp = NULL;
    return( cp );
}
    
/* -- End of File -- */
